<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.upyuns.platform.rs.website.mapper.ImageInfoRelationMapper">

    <select id="getListByIds" resultType="com.upyuns.platform.rs.website.entity.ImageInfoRelation">
        select iir.* from image_info_relation iir
        LEFT JOIN image_img_storage iis on iir.relation_id = iis.id
        where iir.id in
        <foreach collection="list" item="emp" index="index" open="(" close=")" separator=",">
            #{emp}
        </foreach>
        and iis.`status` = 1
    </select>

</mapper>